# Invoke-RASHostPool

### NAME

Invoke-RASHostPool\ <br>

### SYNOPSIS

Perform RAS Host Pool commands.\ <br>

### SYNTAX

Invoke-RASHostPool \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#Id)] *\<uint>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#Command) {RecreateHosts | CreateHosts} -[ObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#ObjType) {RDSHostPool | VDIHostPool | AVDHostPool} \[-[NoOfHostsToCreate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#NoOfHostsToCreate) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#CommonParameters)*>*]\
\
Invoke-RASHostPool \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#InputObject)] *<*[*RASListObj*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)*>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#Command) {RecreateHosts | CreateHosts} \[-[NoOfHostsToCreate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#NoOfHostsToCreate) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#CommonParameters)*>*]\
\
Invoke-RASHostPool \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#SiteId)] *\<uint>*] -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#Command) {RecreateHosts | CreateHosts} -[ObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#ObjType) {RDSHostPool | VDIHostPool | AVDHostPool} \[-[NoOfHostsToCreate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#NoOfHostsToCreate) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASHostPool.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Triggers an action on the selected HostPool such as: CreateHosts or RecreateHosts.\
\
CreateHosts: Creates one or more Hosts.\
\
RecreateHosts: Re-creates all of the Hosts.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the target RAS HostPool.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID of the specified RAS HostPool.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the target RAS HostPool.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**RASListObj**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)**>**\
An object of type RDS, VDI, or AVD HostPool representing a RAS HostPool.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**ObjType <**[**HostPoolObjType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HostPoolObjType.html)**>**\
HostPool object type.\
\
Possible values: RDSHostPool, VDIHostPool, AVDHostPool\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Command <**[**HostPoolCmd**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HostPoolCmd.html)**>**\
Host Pool command.\
\
Accepted values: RecreateHosts, CreateHosts.\
\
Possible values: RecreateHosts, CreateHosts\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoOfHostsToCreate \<uint>**\
The number of hosts to be created from the specified RAS HostPool. Default: 1.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                1
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASHostPool -Id 10 -ObjType RDSHostPool -Command CreateHosts -NoOfHostsToCreate 2\
\
Add new desktop VMs to the RAS HostPool specified by ID.\
\
If -NoOfHostsToCreate is not specified, 1 desktop VM will be added.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Invoke-RASHostPool -InputObject $HostPool -Command RecreateHosts\
\
Re-create all desktop VMs of the RAS HostPool specified by the $HostPool object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rashostpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
